---
http_interactions:
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-com\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"\",\n      labels: [\"Community contribution\"],\n      includeSubgroups:
          true\n    ) {\n      nodes {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:14 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-2fh+Odh8u03G3XDZASjvDg=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"41738046a6f3d9e7051d0d972f24fea6"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"481ae4845ec31e95289c3a2f7d93d383","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 481ae4845ec31e95289c3a2f7d93d383
        X-Runtime:
          - '3.752003'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-46-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=CSX1rPVGm%2FT5xRwKgOQGWvjcEGQg0FJ8oI6zcLjCNaYjpmN6WPQcpydUUQ4QX8mI2Xt8iIPemra%2FShbGaSrcz4jv39xvog6f5m3Hlw%2BL7ZDBlNj07Mmi7ca6d0k%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=ARlNdvjsrArFlswDH3_tnoWi8ZTs1CyzbR5mAqEjgwQ-1711376774094-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f930ddd83768c-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"Shivan"}},{"author":{"username":"Shivan"}},{"author":{"username":"Taucher2003"}},{"author":{"username":"mxiao-ext"}},{"author":{"username":"dperic"}},{"author":{"username":"KevSlashNull"}},{"author":{"username":"dlkeith90"}},{"author":{"username":"tanyabouman"}},{"author":{"username":"k.filtschew"}},{"author":{"username":"hyan3"}},{"author":{"username":"djalalon"}},{"author":{"username":"edunne-ext"}},{"author":{"username":"k.filtschew"}},{"author":{"username":"k.filtschew"}},{"author":{"username":"mrohr-ext"}},{"author":{"username":"drywall"}},{"author":{"username":"dvdovi"}},{"author":{"username":"tkhan.gitlab"}},{"author":{"username":"yoi_gl"}},{"author":{"username":"KevSlashNull"}},{"author":{"username":"tkhan.gitlab"}},{"author":{"username":"baptr"}},{"author":{"username":"susie.bee"}},{"author":{"username":"simmons-laura"}},{"author":{"username":"hyan3"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0wMSAwNzoyNjoyMy4wMzA3NDQwMDAgKzAwMDAiLCJpZCI6IjI3ODk5MTA4OSJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:14 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-com\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0wMSAwNzoyNjoyMy4wMzA3NDQwMDAgKzAwMDAiLCJpZCI6IjI3ODk5MTA4OSJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:15 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-+dx0m+Yz1hX4oLaPbbNcOQ=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"d65ebda366ebc25b6708ac220ce6e5c6"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"aa49cfe59d8ff8fcb335f8699a313c31","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - aa49cfe59d8ff8fcb335f8699a313c31
        X-Runtime:
          - '0.897185'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-03-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=DaXdT36UriJbGqwkcFEDQf9LegCWJcIr9zVx6NbhJwzQBR920nbdMXMG6RbwPxxhqIanSl9xwpkmEso3MhQWCRmhA%2FOkg95PFdYqA05tUs4pq%2BQRQc9XDmmq078%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=.MLb_1N1H4ZKI.JHS7DHJ4mNs91bv.x87MfMex4ZsMA-1711376775158-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f9326588c413a-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"k.filtschew"}},{"author":{"username":"michnovosel"}},{"author":{"username":"luzhiyuan.deer"}},{"author":{"username":"xakepnz"}},{"author":{"username":"mcfi3rce"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0yMCAwMjo0MToxMi41NjIxMzQwMDAgKzAwMDAiLCJpZCI6IjI3NjQ2NjE2NiJ9","hasNextPage":false}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:15 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"\",\n      labels: [\"Community contribution\"],\n      includeSubgroups:
          true\n    ) {\n      nodes {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:21 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-2pgeWNSG/nvUr+QhSsKhmw=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"379638105f0c4c73ee8330b90f09a921"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"381a38c02d41ee4667dc3d41ab7165de","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 381a38c02d41ee4667dc3d41ab7165de
        X-Runtime:
          - '6.495240'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-16-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=eqlz3bfkgo5fG%2FpO%2FwoFzwdLiRVgngKmQAIJV7MPoUgyQpI0HmLf560TiZPK1jE5OEYszkgxslaODHQ6AgiUdgW8b2glt64%2F6%2BP3%2B2h2q7Cz7TILaGihC%2B%2BlQa4%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=LxiPdyykSU4QCdaO5Evh8RxMN0oInSZw_FLo2XvjSIg-1711376781790-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f932cec40dd73-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"luzhiyuan.deer"}},{"author":{"username":"antonkalmykov"}},{"author":{"username":"marxarelli"}},{"author":{"username":"KevSlashNull"}},{"author":{"username":"X_Sheep"}},{"author":{"username":"JeremyWuuuuu"}},{"author":{"username":"kolonist_minjun"}},{"author":{"username":"santigl"}},{"author":{"username":"Taucher2003"}},{"author":{"username":"antonkalmykov"}},{"author":{"username":"antonkalmykov"}},{"author":{"username":"X_Sheep"}},{"author":{"username":"morgan_delagrange"}},{"author":{"username":"zillemarco"}},{"author":{"username":"jgonsalves2"}},{"author":{"username":"ivantedja"}},{"author":{"username":"bstoynov"}},{"author":{"username":"rogpeppe"}},{"author":{"username":"fh1ch"}},{"author":{"username":"Taucher2003"}},{"author":{"username":"perlun"}},{"author":{"username":"lzampier"}},{"author":{"username":"KevSlashNull"}},{"author":{"username":"KevSlashNull"}},{"author":{"username":"KevSlashNull"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0yMSAxNjo1OToyNi4yNjk4MDIwMDAgKzAwMDAiLCJpZCI6IjI4MzczMjE1MCJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:21 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0yMSAxNjo1OToyNi4yNjk4MDIwMDAgKzAwMDAiLCJpZCI6IjI4MzczMjE1MCJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:22 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-IOZxi3nWVmECQqt3I+T3vA=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"42c2fe252b21bd31a5fe19258030c113"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"f959baef409c53619512f72873c13f08","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - f959baef409c53619512f72873c13f08
        X-Runtime:
          - '0.827076'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-58-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=bjz%2BNGja%2F5dCdC0it%2FP5l12rpiT3Ok5oTfWeW%2BAuvZ33zLBXVUCzYPIDXQ2fEvX%2F42g%2FXATwWAzDzdwrhPgU%2BHlwBnV8mFh7kLvcjDdsgf5AJ3krswa3OX46dBA%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=JfCoOntPj55Zh7E2IaVXfqdmSKFaGFTHQKlrR_JS_2E-1711376782770-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f93566e35dd74-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"KevSlashNull"}},{"author":{"username":"shivankarmadaan"}},{"author":{"username":"pmhahn"}},{"author":{"username":"fh1ch"}},{"author":{"username":"chaomao"}},{"author":{"username":"bbodenmiller"}},{"author":{"username":"imskr"}},{"author":{"username":"perlun"}},{"author":{"username":"cjlapao"}},{"author":{"username":"robinator8"}},{"author":{"username":"KevSlashNull"}},{"author":{"username":"r2abreu"}},{"author":{"username":"robbie-demuth"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"mschoettle"}},{"author":{"username":"KevSlashNull"}},{"author":{"username":"syvb"}},{"author":{"username":"mvitale1989"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"chaomao"}},{"author":{"username":"syvb"}},{"author":{"username":"X_Sheep"}},{"author":{"username":"PatrickRice"}},{"author":{"username":"jzeng88"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0xNyAwMjoxOTowOC4yMzM5MjIwMDAgKzAwMDAiLCJpZCI6IjI4MjgxMDg1NCJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:22 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0xNyAwMjoxOTowOC4yMzM5MjIwMDAgKzAwMDAiLCJpZCI6IjI4MjgxMDg1NCJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:23 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-9WZxUIQ/9vHxBdW4hGdGIw=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"44b7b1484af00405bd0d2bf0fb924030"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"11d0ea39ec75f1d4bf8a0b35582c2a2f","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 11d0ea39ec75f1d4bf8a0b35582c2a2f
        X-Runtime:
          - '1.025957'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-29-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=GvnRFIfJdMjLNSAL6A493owVTUl626%2FWsx3gPemjJ1JQlspuDUli5%2FsZsOJ93xIjYGofyXlVogYl3E5MakjjYUExTeYPJFXfpHmCX7YvpgzwYESDF7leXmLS1Yk%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=H3ejaBIfrZKroA28R6YB8O5Qpfd8f5x_iuPIxD6SaKo-1711376783953-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f935c9bc29589-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"SethFalco"}},{"author":{"username":"eangert-ext"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"Varedis"}},{"author":{"username":"imskr"}},{"author":{"username":"jzeng88"}},{"author":{"username":"PatrickRice"}},{"author":{"username":"alexandralicht0"}},{"author":{"username":"eangert-ext"}},{"author":{"username":"PatrickRice"}},{"author":{"username":"u-ways"}},{"author":{"username":"mschoettle"}},{"author":{"username":"MrKich"}},{"author":{"username":"mbradburn-ext"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"PatrickRice"}},{"author":{"username":"PatrickRice"}},{"author":{"username":"rioatwork"}},{"author":{"username":"k.filtschew"}},{"author":{"username":"perlun"}},{"author":{"username":"jzeng88"}},{"author":{"username":"kevangel"}},{"author":{"username":"jgonsalves2"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0xMyAxMzo1OToxMy42MzIzNDIwMDAgKzAwMDAiLCJpZCI6IjI4MTg0MDE2MCJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:23 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0xMyAxMzo1OToxMy42MzIzNDIwMDAgKzAwMDAiLCJpZCI6IjI4MTg0MDE2MCJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:26 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-mN5B4WH1CLk4O2WqSrV2+w=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"88dd34c1a2a2d7208bd820c9d16f0587"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"477cb00a06fdfa8ed2a565d9627b9ccb","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 477cb00a06fdfa8ed2a565d9627b9ccb
        X-Runtime:
          - '1.943414'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-57-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=dpnceY%2BOBJtPNGFdtpaSp9VDswqTH3sRas9a4OwVs3rAdz6MPn%2BduIBxsAuCKZPwZNYHVoYsgejTwgNMbA5QS2K%2FYmAChsruVZwXxTjNCNjJYKsast2jerhswUI%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=AHDRKwUlNoJsGxApWfsN_poa39sBQQtd2uk9Di_AUCY-1711376786066-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f9363fed7dcef-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"perlun"}},{"author":{"username":"AnWeber"}},{"author":{"username":"rahilhastu"}},{"author":{"username":"rahilhastu"}},{"author":{"username":"antonkalmykov"}},{"author":{"username":"ben.boeckel"}},{"author":{"username":"NoRelect"}},{"author":{"username":"jzeng88"}},{"author":{"username":"mschoettle"}},{"author":{"username":"kjetilho"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"PatrickRice"}},{"author":{"username":"imskr"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"tkhandelwal1"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"sirosen"}},{"author":{"username":"jzeng88"}},{"author":{"username":"eangert-ext"}},{"author":{"username":"agpaul"}},{"author":{"username":"nilsandresen"}},{"author":{"username":"ajwalker"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"ttaday-ext"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0wOCAwODo0ODoxOS4wMDYyOTIwMDAgKzAwMDAiLCJpZCI6IjI4MDY5NDUwMyJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:26 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0wOCAwODo0ODoxOS4wMDYyOTIwMDAgKzAwMDAiLCJpZCI6IjI4MDY5NDUwMyJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:27 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-CA5+fhWQQHeOsiA2BipUwQ=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"65c234416705c6a37c0fec9ba727bd32"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"83678da8dda644c5d86f5da7c0ca9d5b","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 83678da8dda644c5d86f5da7c0ca9d5b
        X-Runtime:
          - '0.819095'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-04-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=fZ4hRt7yiYT%2BDZBAHjP4Z5%2F%2BtJ0mdob6rKvjcBhFdIL12%2BLKEvbRUERK%2FKJFLc%2FFuvGcet0NXg2hw0LXYM4D%2FfyDq5pWfnGu1F0sDTPIpbgSBNUY3zcHsHl6Z%2F4%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=1ECA.68WlwtWYMmQIb5VDvj2DSDghAg8CoXwlEegyrU-1711376787039-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f93712be224e4-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"andredelfino"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"andredelfino"}},{"author":{"username":"Wangyadong1108"}},{"author":{"username":"luzhiyuan.deer"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"u-ways"}},{"author":{"username":"maxolasersquad"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"emersion"}},{"author":{"username":"max.vedernikov"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"johannes_gesenhues"}},{"author":{"username":"luzhiyuan.deer"}},{"author":{"username":"u-ways"}},{"author":{"username":"eangert-ext"}},{"author":{"username":"bahek2462774"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"m.baur"}},{"author":{"username":"imskr"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0wNSAxMjozMDowMS41Mjk3MDMwMDAgKzAwMDAiLCJpZCI6IjI3OTgyOTEwNyJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:27 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0wNSAxMjozMDowMS41Mjk3MDMwMDAgKzAwMDAiLCJpZCI6IjI3OTgyOTEwNyJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:27 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-Jkjqkr24or6EMMiOJ3hyTg=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"c11db3f6b979b03983e2192be08c6ff4"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"7ca07e24f1783d17d23409ff55681efb","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 7ca07e24f1783d17d23409ff55681efb
        X-Runtime:
          - '0.529043'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-24-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=rtX22JVibvESQFAF%2FClXE7Td2CrRAQhfZ8iqOguKppZxkfv1AlBJQT%2FkE5pnKh3PVJKIdU7wxJDHwqnWayTUaIDeKLNU3RIXdK%2BPqY6f%2B6s0hLbwI8oYTpkJbVM%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=F1SRJ9ybiWm4c0erIFLjtpO3OOUbJYz6RogI0.4rhnA-1711376787721-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f93773c283859-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"emersion"}},{"author":{"username":"Tithugues"}},{"author":{"username":"chaomao"}},{"author":{"username":"PatrickRice"}},{"author":{"username":"amit-ksh"}},{"author":{"username":"antonkalmykov"}},{"author":{"username":"PatrickRice"}},{"author":{"username":"brandon.kauffman"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"krispypen"}},{"author":{"username":"tomasz.skorupa"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"Sineaggi"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"hristiyan.ivanov"}},{"author":{"username":"dseneviratne-ext"}},{"author":{"username":"banhartt"}},{"author":{"username":"abh80"}},{"author":{"username":"bbodenmiller"}},{"author":{"username":"tspearconquest"}},{"author":{"username":"bufferoverflow"}},{"author":{"username":"luzhiyuan.deer"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"ttaday-ext"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0zMCAxNDozODoyNS4xODM3MzMwMDAgKzAwMDAiLCJpZCI6IjI3ODUzMzMzMiJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:27 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0zMCAxNDozODoyNS4xODM3MzMwMDAgKzAwMDAiLCJpZCI6IjI3ODUzMzMzMiJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:28 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-0RU6x6ujIVFtcVuVQmFKQw=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"97e4f37d8ba73cef279980e356b7322b"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"2ba916674a0a5a0a5965d30a5ef7629d","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 2ba916674a0a5a0a5965d30a5ef7629d
        X-Runtime:
          - '0.840207'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-16-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=mqjGAqP03yqimT2IKnkSsq5o5ePUHtU047Skk6HlM3i1E2I9hONi0RcOEsaEJQboNMpI0VXCL0VQcwuPvWfdMUOn3ioqsByashFZMGTRMBgf9dy9EEuh5Y2jKQs%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=zMZZpJ2r8Jak6CYuSGsO64ip0twDAEJ01iXXTWV3mxM-1711376788713-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f937b7ef0240e-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"bhavyakaushal219-ext"}},{"author":{"username":"toon"}},{"author":{"username":"luzhiyuan.deer"}},{"author":{"username":"bbodenmiller"}},{"author":{"username":"brendalf"}},{"author":{"username":"ttaday-ext"}},{"author":{"username":"imskr"}},{"author":{"username":"espadav8"}},{"author":{"username":"espadav8"}},{"author":{"username":"JeremyWuuuuu"}},{"author":{"username":"wout_o"}},{"author":{"username":"bahek2462774"}},{"author":{"username":"olliver.schinagl"}},{"author":{"username":"bhavyakaushal219-ext"}},{"author":{"username":"suyash-chavan"}},{"author":{"username":"antonis.stamatiou"}},{"author":{"username":"nathanaelhoun"}},{"author":{"username":"fjahr"}},{"author":{"username":"eangert-ext"}},{"author":{"username":"Taucher2003"}},{"author":{"username":"xuh4"}},{"author":{"username":"stalb"}},{"author":{"username":"eangert-ext"}},{"author":{"username":"alexrusa"}},{"author":{"username":"chathumina96-ext"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0yMyAwMzo0ODowMy4yNzIzMjAwMDAgKzAwMDAiLCJpZCI6IjI3NjgyNTIxMyJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:28 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0yMyAwMzo0ODowMy4yNzIzMjAwMDAgKzAwMDAiLCJpZCI6IjI3NjgyNTIxMyJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:29 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-12Lc0HTItDavX14B/29KMg=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"577e9e1931aa25a13529ac676ab61059"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"67f5408f5b569577f7ca24cdb8fdc864","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 67f5408f5b569577f7ca24cdb8fdc864
        X-Runtime:
          - '0.513394'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-51-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=%2BUleWTtCj5VJaHiOUYjqu82VKZeLjV2ewhExxPxIdmMVJUaZtaGGgiGAj3F6HYXNH6wyCvibZisl3PX16yzOpXDVdq5VQQ8l1evAlSnQU%2FHAbBMfHMJGjbpifYY%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=NpatUL4fE5sb0OntITtAeVOeUE6Kbzo8lCCx4L0r8j8-1711376789361-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f9381ae5752b8-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"LukasK32"}},{"author":{"username":"SethFalco"}},{"author":{"username":"schurzi"}},{"author":{"username":"scottpledger2005"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"cjlapao"}},{"author":{"username":"JeremyWuuuuu"}},{"author":{"username":"mitar"}},{"author":{"username":"zillemarco"}},{"author":{"username":"luzhiyuan.deer"}},{"author":{"username":"fab93"}},{"author":{"username":"JeremyWuuuuu"}},{"author":{"username":"lankaD-ext"}},{"author":{"username":"zillemarco"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"zzaakiirr"}},{"author":{"username":"miya789"}},{"author":{"username":"pavel.knoblokh"}},{"author":{"username":"yonghyun.jin13"}},{"author":{"username":"bcooksley"}},{"author":{"username":"matm"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"alexandralicht0"}},{"author":{"username":"kyungjae1"}},{"author":{"username":"chathumina96-ext"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyMy0xMi0yNyAwNDo1MjowMC41MTc5MTQwMDAgKzAwMDAiLCJpZCI6IjI3MjIyNjM3MyJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:29 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyMy0xMi0yNyAwNDo1MjowMC41MTc5MTQwMDAgKzAwMDAiLCJpZCI6IjI3MjIyNjM3MyJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:30 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-tT4pGlQPSLQdDOoD/6G+rA=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"f9cb67805b7ed620b47002be27cb9d7d"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"77b98fb1176ea695b4f2cfe9a87432f3","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 77b98fb1176ea695b4f2cfe9a87432f3
        X-Runtime:
          - '0.484898'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-44-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=LKxWexC%2Bqm0VLHE3chfWB8tdSqkal0vOK8vl29HEJAefy9zWgAPB3xqRGrbeygiFw7zp9sCSRWW9n5IPVzpYwhhpodqELUe72ehZkg065B0ytM40UF3TD8aQ%2BQA%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=Mlpx8fZNzta3isVUwxEEC47.txPFz.kDImMm9nujq9Q-1711376790073-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f93863eacdcb7-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"tedtran2019"}},{"author":{"username":"tedtran2019"}},{"author":{"username":"tedtran2019"}},{"author":{"username":"danielhass"}},{"author":{"username":"tedtran2019"}},{"author":{"username":"gerardo-navarro"}},{"author":{"username":"florian.berchtold"}},{"author":{"username":"joe-snyder"}},{"author":{"username":"banhartt"}},{"author":{"username":"rndmh3ro"}},{"author":{"username":"tedtran2019"}},{"author":{"username":"frederic.mereu"}},{"author":{"username":"missy-davies"}},{"author":{"username":"roblabla"}},{"author":{"username":"zzaakiirr"}},{"author":{"username":"bufferoverflow"}},{"author":{"username":"BaptisteLalanne"}},{"author":{"username":"BaptisteLalanne"}},{"author":{"username":"caleb.hansard"}},{"author":{"username":"igorsmikulovs"}},{"author":{"username":"missy-davies"}},{"author":{"username":"dannyelcf"}},{"author":{"username":"saw.friendship"}},{"author":{"username":"morgan_delagrange"}},{"author":{"username":"Philzen"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyMy0wOS0yOSAwMToyMDozMi4yNzcxNTcwMDAgKzAwMDAiLCJpZCI6IjI1Mzg1ODkyMSJ9","hasNextPage":true}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:30 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-org\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"eyJjcmVhdGVkX2F0IjoiMjAyMy0wOS0yOSAwMToyMDozMi4yNzcxNTcwMDAgKzAwMDAiLCJpZCI6IjI1Mzg1ODkyMSJ9\",\n      labels:
          [\"Community contribution\"],\n      includeSubgroups: true\n    ) {\n      nodes
          {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:30 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-c9YdIQgk7lYBXZIBTXrUkA=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"f21d74821f3136351744cf687866cba2"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"15b8319c5491947b52756de35671173b","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 15b8319c5491947b52756de35671173b
        X-Runtime:
          - '0.465341'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-01-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=cYJOBIxnA0FVPjVsWzo%2Bnnn0D%2BQ2DJCXhGgB4gqze1FDCNVl0Y9t346wfnIOjreU21MS3Xpsl9%2BnoyCm39mRDfwsiuR8mTUe3%2BoL5VuCMEfQo3x%2Bo2pFzH4K%2BiQ%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=WUEq8wBOx5L3J1T9rLbetGQA5AP4bbGdcEyLDSGpDMU-1711376790677-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f938a2b334999-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"KyleFromKitware"}},{"author":{"username":"edith007"}},{"author":{"username":"andrbach"}},{"author":{"username":"ZhiliangWu"}},{"author":{"username":"ArtyMaury"}},{"author":{"username":"NIKU-SINGH"}},{"author":{"username":"timmmm"}},{"author":{"username":"msolodovnik-ext"}},{"author":{"username":"splattael"}},{"author":{"username":"kev.go"}},{"author":{"username":"shankerwangmiao"}},{"author":{"username":"dciprian.petrisor"}},{"author":{"username":"XciD"}},{"author":{"username":"comtef"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyMS0wMy0yMSAxMTozMDoxNi41Mzg1ODkwMDAgKzAwMDAiLCJpZCI6IjkyODY5NDcxIn0","hasNextPage":false}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:30 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"components\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"\",\n      labels: [\"Community contribution\"],\n      includeSubgroups:
          true\n    ) {\n      nodes {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:30 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-CmtDjiQHo87koeYiIO8Z7w=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"d88b37d68d0bac31cae274ac218ac329"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"1358733b4361fce143c6df6d59b0c987","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 1358733b4361fce143c6df6d59b0c987
        X-Runtime:
          - '0.147587'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-51-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=C0AhYeCx0Ef8l4RwKnhzPtoE%2BERzjLx2i7o%2BK1dRrS4vByST7dvweBdMRegp1FXPk%2B84SH7DzvoWHdKCDVBJ20eVOKqvGAzgcZvPsgwsl6OPC9WQ64DciWSsFog%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=FOWQ9i2IotmyqzFsXgFfT3CG9x6Noow9ovO4FjcPumY-1711376790972-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f938dfa1c730c-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[],"pageInfo":{"endCursor":null,"hasNextPage":false}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:30 GMT
  - request:
      method: post
      uri: https://gitlab.com/api/graphql
      body:
        encoding: UTF-8
        string:
          '{"query":"query {\n  group(fullPath: \"gitlab-community\") {\n    mergeRequests(\n      state:
          merged,\n      mergedAfter: \"2024-02-01\",\n      mergedBefore: \"2024-02-29\",\n      first:
          25,\n      after: \"\",\n      labels: [\"Community contribution\"],\n      includeSubgroups:
          true\n    ) {\n      nodes {\n        author {\n          username\n        }\n      }\n      pageInfo
          {\n        endCursor\n        hasNextPage\n      }\n    }\n  }\n}\n"}'
      headers:
        Content-Type:
          - application/json
        Authorization:
          - Bearer gitlab-access-token
        Cookie:
          - gitlab_canary=true
        User-Agent:
          - Contributor Success Toolbox
        Accept-Encoding:
          - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
        Accept:
          - '*/*'
    response:
      status:
        code: 200
        message: OK
      headers:
        Date:
          - Mon, 25 Mar 2024 14:26:31 GMT
        Content-Type:
          - application/json; charset=utf-8
        Transfer-Encoding:
          - chunked
        Connection:
          - keep-alive
        Cache-Control:
          - max-age=0, private, must-revalidate
        Content-Security-Policy:
          - "base-uri 'self'; child-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/ https://gitlab.com/assets/ blob: data:; connect-src
            'self' wss://gitlab.com https://sentry.gitlab.net https://new-sentry.gitlab.net
            https://collector.prd-278964.gl-product-analytics.com snowplow.trx.gitlab.net;
            default-src 'self'; font-src 'self'; form-action 'self' https: http:;
            frame-ancestors 'self'; frame-src https://www.google.com/recaptcha/ https://www.recaptcha.net/
            https://www.googletagmanager.com/ns.html https://*.zuora.com/apps/PublicHostedPageLite.do
            https://gitlab.com/admin/ https://gitlab.com/assets/ https://gitlab.com/-/speedscope/index.html
            https://gitlab.com/-/sandbox/; img-src 'self' data: blob: http: https:;
            manifest-src 'self'; media-src 'self' data: blob: http: https:; object-src
            'none'; report-uri https://new-sentry.gitlab.net/api/4/security/?sentry_key=f5573e26de8f4293b285e556c35dfd6e&sentry_environment=gprd-cny;
            script-src 'strict-dynamic' 'self' 'unsafe-eval' https://www.google.com/recaptcha/
            https://www.recaptcha.net 'nonce-jqUtKJsVvODL/3vpN/NOfA=='; style-src 'self'
            'unsafe-inline'; worker-src https://gitlab.com/assets/ blob: data:"
        Etag:
          - W/"6086f07eab05a30179418c320375dc7b"
        Permissions-Policy:
          - interest-cohort=()
        Referrer-Policy:
          - strict-origin-when-cross-origin
        Vary:
          - Origin
        X-Content-Type-Options:
          - nosniff
        X-Download-Options:
          - noopen
        X-Frame-Options:
          - SAMEORIGIN
        X-Gitlab-Meta:
          - '{"correlation_id":"2a8eddc37cdd1400c7becebf986bbb2c","version":"1"}'
        X-Permitted-Cross-Domain-Policies:
          - none
        X-Request-Id:
          - 2a8eddc37cdd1400c7becebf986bbb2c
        X-Runtime:
          - '0.127265'
        X-Ua-Compatible:
          - IE=edge
        X-Xss-Protection:
          - 1; mode=block
        Strict-Transport-Security:
          - max-age=31536000
        Gitlab-Lb:
          - haproxy-main-34-lb-gprd
        Gitlab-Sv:
          - gke-cny-api
        Cf-Cache-Status:
          - DYNAMIC
        Report-To:
          - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=QNz7GfywL7XD4jSy7gNCwIzilJnUmSo8j%2FNZvSkwmDzLoJV4%2BOh35iXkBqLGgFOoKYHQMZbdKdJUQRruoTqxgbxGpMdSGojGsEU5g30F9sVM%2BZPJlEw1OD72pRc%3D"}],"group":"cf-nel","max_age":604800}'
        Nel:
          - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
        Set-Cookie:
          - _cfuvid=Z2FysjWm.7I5Av7En9BFt6h9ssB9zrCnDZk0El_lu.I-1711376791243-0.0.1.1-604800000;
            path=/; domain=.gitlab.com; HttpOnly; Secure; SameSite=None
        Server:
          - cloudflare
        Cf-Ray:
          - 869f938fcb6b9526-LHR
      body:
        encoding: ASCII-8BIT
        string: '{"data":{"group":{"mergeRequests":{"nodes":[{"author":{"username":"eangert-ext"}}],"pageInfo":{"endCursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMi0xNiAxNjo1Njo1OS45NDMxMDIwMDAgKzAwMDAiLCJpZCI6IjI4Mjc1MjY3OCJ9","hasNextPage":false}}}}}'
    recorded_at: Mon, 25 Mar 2024 14:26:31 GMT
recorded_with: VCR 6.2.0
